/watch-to-earn/job/create

It takes a request object, validates it, and then creates a new job in the database

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
  • RequestCryptoJob - This is the request object that is passed in from the client.
string
maxPayouts
object
double
required

Payer ID from payer/list API. Cannot be updated later.

string

If there is no trailerUri, this will be used in its place on the listing

string

Trailer video of the job listing

tasks
array of objects
required

Array of tasks and task types that need to be completed for this Job to finish.

tasks*
double

[Optional] Maximum number of claims allowed for this job

date-time

[Optional] Valid dates format. If missing, job is valid since forever
2022-11-14T20:11:59.074Z

date-time

[Optional] Valid dates format
2022-11-14T20:11:59.074Z

boolean
required

Making job inactive removes it from both DEVELOPMENT and PRODUCTION stages

stages
object
required

Stage flag - Should it be active on DEVELOPMENT/PRODUCTION

boolean
required

Raffle jobs don't end right away. The task remains active till endTime. After that the raffle winners are announced at raffleEndTime
After raffleEndTime the job will be removed from UI after keepTillDaysAfterRaffle

date-time

See description on isRaffle

boolean

Show steps of the last task till raffleEndTime even if user has completed all the tasks of the job. Default - the steps will be replaced by the raffle countdown

double

See description on isRaffle

double

In case you want to hardcode the prize money text on the listing. Put a number here, eg. 1600000 (If you want something like 1.6M FM then make sure to skip this)

string
required

In case you want to hardcode the prize money text on the listing. Put a string here, eg. "1.6M FM" (in KOFA example where 1.6M FM tokens needed to be shown)
And make sure to skip usdPrize

string

Support chat URL to be put here. eg. supportChatUrl

postCampaignTasks
array of objects

Array of tasks and task types that need to be completed after this job finishes.

postCampaignTasks
boolean
required

If isRepeating is true, then countClaim will be reset to 0 after every repetition and endTime will be set to next cycle for every day.
Only valid for Normal jobs. (For Jobs that have leaderboards, the field will be picked from task)

number
enum

[DEPRECATED] If is repeating task then JobRepetitionEnum is needed
Only valid for Normal jobs. (For Jobs that have leaderboards, the field will be picked from task)

Allowed:
repeatEveryArray
array of objects

If is repeating task then JobRepetitionEnum is needed
Only valid for Normal jobs. (For Jobs that have leaderboards, the field will be picked from task)

repeatEveryArray

Payout definition. Either flat payout, or rank based payout

excludeCountries
array of objects

Will not be visible in these countries

excludeCountries
includeCountries
array of objects

If set, will be visible only in these countries

includeCountries
string

The text under Quest in the new design (02/01/2023)

string

The text above Quest in the new design (02/01/2023). Only for NORMAL jobs (Non raffle and non leaderboard)

In case the job's payoutDefinition is RANGE_BASED_SINGLE_PAYOUT or RANGE_BASED_VARIED_PAYOUT, then this will be used to show the prize pool image

reward
object

One reward token to show on UI (eg. "+35" and "some image url"). Hard to generalize so kept it as input

double

Used for sorting the rewards according to their value to the user. 1-10, 10 is highest

podiumUIConfigs
object

UI Configs for podium graphics if the payout is either RANGE_BASED_SINGLE_PAYOUT or RANGE_BASED_VARIED_PAYOUT

preventParticipantsFrom
array of objects

Do not allow users who've completed these items to participate in this job
If type is JOB then id should be the job Id of the job that the user should not have completed
If type is LEADERBOARD then id should be the task id of the leaderboard task that the user should not have participated in

preventParticipantsFrom
clientTypes
array of objects
required

If set, then the job will be visible only to these client types. If not set will be visible to all

clientTypes*
boolean

If set, then the job will be visible only to these client types. If not set will be visible to all

boolean

If set, then the job will be visible only to these client types. If not set will be visible to all

Headers
string
required
  • This is the API key that is passed in the header of the request.
Responses

401

Unathorized

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json